Subject: RE: bug#17193: 24.4.50; `menu-bar-make-toggle': allow :keys

From: Drew Adams <[email-masked]>
Date: Sat, 5 Apr 2014 08:58:22 -0700 (PDT)

> I should have made clear in the Subject line, as well as in the
> message body, that the request is not just about :keys but includes
> support for (i.e., taking account of) :enable, :visible, and so on.
> 
> IOW, the macro should allow `menu-item' features such as these
> keywords to be passed on to `menu-item', so that they take effect.

This is apparently already what `menu-bar-make-mm-toggle' does,
for example.

[But the doc string for `menu-bar-make-mm-toggle' is not very
clear about this.  It simply calls this PROPS, saying "PROPS are
additional properties."  It really should make clear what is
involved: these are things passed to `menu-item'.  "Properties"
by itself means nothing in the context of that doc string.
Something really needs to point to `menu-item', which is fully
documented.]